### Hierarchy

- unknown
  - Pong

## Index

### Constructors

- constructor

### Methods

- getRequestNonce
- serializeBinary
- setRequestNonce
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new Pong(): Pong

- Inherited from jspb.Message.constructor

  #### Returns Pong

## Methods

### getRequestNonce

- getRequestNonce(): number

- - Defined in src/protobuf/pb_pb.d.ts:568

  #### Returns number

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:571

  #### Returns Uint8Array

### setRequestNonce

- setRequestNonce(value: number): Pong

- - Defined in src/protobuf/pb_pb.d.ts:569

  #### Parameters

  - ##### value: number

  #### Returns Pong

### toObject

- toObject(includeInstance?: boolean): Pong . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:572

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns Pong . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): Pong

- - Defined in src/protobuf/pb_pb.d.ts:575

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Pong

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Pong, reader: BinaryReader): Pong

- - Defined in src/protobuf/pb_pb.d.ts:576

  #### Parameters

  - ##### message: Pong

  - ##### reader: BinaryReader

  #### Returns Pong

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: Pong, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:574

  #### Parameters

  - ##### message: Pong

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: Pong ): Pong . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:573

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Pong

  #### Returns Pong . AsObject

Generated using TypeDoc